Build xbmc depends libs for osx and ios.

This build system uses a configure's config.site file method of setting up for cross-compiling. ${PREFIX}/share/config.site defines all the items and tweaks required and simply doing ./configure --prefix=<some prefix> will enabled the usage.

We support drawn cross-compiles for OSX and iOS with selection of SDK.
Options are;
--with-staging  depends build location (/Users/Shared/xbmc-depends).
--with-darwin   build depend libs for darwin osx (default) or ios.
--with-arch     build depend libs for arch i386 (default), ppc or armv7.
--with-sdk      build depend libs using sdk 10.4 (default) or 4.2.

Unfortunately some libraries do not use a configure based setup/compile so we must keep both a config.site seed and duplicate config.site.mk for including in the Makefile. It is very important to keep both files in sync and note their syntax differences as config.site runs under the shell and config.site.mk runs under make.

For OSX, see;
config.site_osx.in
config.site_osx.mk.in

For iOS, see;
config.site_ios.in
config.site_ios.mk.in
